Bug 505623 - Review Request: python-urllib2_kerberos - Kerberos over HTTP Negotiate/SPNEGO support for urllib2
Review Request: python-urllib2_kerberos - Kerberos over HTTP Negotiate/SPNEGO...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 11:55 EDT by Matěj Cepl
Modified: 2018-04-11 04:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-19 07:52:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2009-06-12 11:55:51 EDT
Spec URL: http://mcepl.fedorapeople.org/rpms/python-urllib2_kerberos.spec
SRPM URL: http://mcepl.fedorapeople.org/rpms/python-urllib2_kerberos-0.1.6-1.fc11.src.rpm
Description: 
urllib2 plugin for kerberos authentication.
Comment 1 Parag AN(पराग) 2009-06-15 02:26:59 EDT
Build failed at
http://koji.fedoraproject.org/koji/taskinfo?taskID=1414339

Add BuildRequires: python-setuptools-devel
Comment 3 Parag AN(पराग) 2009-06-18 07:12:02 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1419943
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
e77324778be206a57478eb2ef386a879c8a2e2ff  urllib2_kerberos-0.1.6.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Should:
1) I don't think forcefully keeping timestamp of upstream file in which you already deleted one line is a good idea.
I will suggest you only use 
sed -i -e "s|#!/usr/bin/env python||" urllib2_kerberos.py
 
and let new timestamp be installed.

APPROVED.
Comment 4 Matěj Cepl 2009-06-18 09:48:07 EDT
(In reply to comment #3)
> Should:
> 1) I don't think forcefully keeping timestamp of upstream file in which you
> already deleted one line is a good idea.
> I will suggest you only use 
> sed -i -e "s|#!/usr/bin/env python||" urllib2_kerberos.py
> 
> and let new timestamp be installed.

You are right, of course.

> APPROVED.  

Thanks a lot.
Comment 5 Matěj Cepl 2009-06-18 09:50:26 EDT
New Package CVS Request
=======================
Package Name: python-urllib2_kerberos
Short Description: Kerberos over HTTP Negotiate/SPNEGO support for urllib2
Owners: mcepl
Branches: F-10 F-11 EL-5
InitialCC:
Comment 6 Jason Tibbitts 2009-06-18 16:23:19 EDT
CVS done.
Comment 8 Fedora Update System 2012-05-21 11:16:22 EDT
python-urllib2_kerberos-0.1.6-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-urllib2_kerberos-0.1.6-4.el6
Comment 9 Fedora Update System 2012-06-07 14:02:15 EDT
python-urllib2_kerberos-0.1.6-4.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.